Edit

Create vendor defaultDimensions (v1.0)

Creates the default dimensions of the vendor in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST businesscentralPrefix/companies({companyId})/vendors({vendorId})/defaultDimensions

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body (v1.0)

In the request body, supply a JSON representation of vendors object.

Response (v1.0)

If successful, this method returns 201 Created response code and a vendor object in the response body.

Example (v1.0)

Request
Here is an example of a request.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

POST https://{businesscentralPrefix}/api/v1.0/companies({companyId})/vendors({vendorId})/defaultDimensions

Request body

{
    "parentId":"b3fbe87a-61b8-4a6c-85de-0555f1627a67",
    "dimensionId":"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a",
    "dimensionValueId":"1045a902-070a-4d31-b2b1-b9431e9e5b26",
    "postingValidation":"Same Code"
}

Response

{
    "@odata.context":"https://api.businesscentral.dynamics.com/v1.0/api/v1.0/$metadata#companies(5106c77d-af37-4e2d-bb88-45d87aba1033)/vendors(b3fbe87a-61b8-4a6c-85de-0555f1627a67)/defaultDimensions",
    "value":
    [
        {
            "@odata.etag":"W/\"JzQ0OzNPaHFuS0ZQdk5oc3ZkSW9KdzVkdXk2LytjcmNqeHJJOU05SjZ1aFBYVjQ9MTswMDsn\"",
            "parentId":"b3fbe87a-61b8-4a6c-85de-0555f1627a67",
            "dimensionId":"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a",
            "dimensionCode":"DEPARTMENT",
            "dimensionValueId":"1045a902-070a-4d31-b2b1-b9431e9e5b26",
            "dimensionValueCode":"PROD",
            "postingValidation":"Same Code"
        }
    ]
}

Tips for working with the APIs

Vendor
Get vendor defaultDimensions
Update vendor defaultDimensions
Delete vendor defaultDimensions